View Issue Details

IDProjectCategoryView StatusLast Update
0002473gnunet-gtkgnunet-setuppublic2012-12-21 16:47
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.9.5Fixed in Version0.9.5 
Summary0002473: make it easy to move names between zones
DescriptionWe should make it easy to move entire names (including records) between GNS zones (global, private, shortened).

All it should take is a right-click on the name and then the selection of the target zone in a context menu. Implementing this will be a bit of work, as we need to load the target zone key and do the move (or copy?) operation.
TagsNo tags attached.

Relationships

related to 0002465 closedChristian Grothoff need dedicated dialogs for editing GNS records 

Activities

Christian Grothoff

2012-12-03 21:14

manager   ~0006630

The GUI part is now in place, only the logic to set the current zone in the edit dialog, extract the target zone at the end and the part that actually moves the record appropriately are missing...

Christian Grothoff

2012-12-04 10:22

manager   ~0006633

The current zone is now correctly set upon starting of the record edit dialog. Only the moving logic is missing.

Christian Grothoff

2012-12-04 10:57

manager   ~0006636

Implemented in SVN 25216.

Issue History

Date Modified Username Field Change
2012-07-01 18:44 Christian Grothoff New Issue
2012-07-01 18:50 Christian Grothoff Status new => confirmed
2012-11-06 23:32 Christian Grothoff Target Version => 0.9.5
2012-11-06 23:39 Christian Grothoff Assigned To => Christian Grothoff
2012-11-06 23:39 Christian Grothoff Status confirmed => assigned
2012-11-10 14:09 Christian Grothoff Priority low => normal
2012-11-10 22:42 Christian Grothoff Relationship added related to 0002465
2012-12-03 21:14 Christian Grothoff Note Added: 0006630
2012-12-04 10:22 Christian Grothoff Note Added: 0006633
2012-12-04 10:57 Christian Grothoff Note Added: 0006636
2012-12-04 10:57 Christian Grothoff Status assigned => resolved
2012-12-04 10:57 Christian Grothoff Fixed in Version => 0.9.5
2012-12-04 10:57 Christian Grothoff Resolution open => fixed
2012-12-21 16:47 Christian Grothoff Status resolved => closed